curl --request POST \
--url https://api.example.com/api/v1/bko/organizations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "COOPERATIVE",
"name": "Cooperativa Metropolitana",
"document": "45.723.174/0001-10",
"documentType": "CNPJ",
"email": "contato@estrela.com",
"owner": {
"phoneDdi": "55",
"phoneNumber": "99999999999",
"email": "novo@example.com",
"phoneIso": "BR"
},
"legalName": "Cooperativa Metropolitana de Transporte Ltda.",
"tradeName": "Metropolitana",
"logo": "organizations/0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a/logo/0195e7b2-4a3c-7d3e-9f4a-2c6b8d0e1f3b.png",
"phoneIso": "BR",
"phoneDdi": "+55",
"phoneNumber": "1133334444"
}
'import requests
url = "https://api.example.com/api/v1/bko/organizations"
payload = {
"type": "COOPERATIVE",
"name": "Cooperativa Metropolitana",
"document": "45.723.174/0001-10",
"documentType": "CNPJ",
"email": "contato@estrela.com",
"owner": {
"phoneDdi": "55",
"phoneNumber": "99999999999",
"email": "novo@example.com",
"phoneIso": "BR"
},
"legalName": "Cooperativa Metropolitana de Transporte Ltda.",
"tradeName": "Metropolitana",
"logo": "organizations/0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a/logo/0195e7b2-4a3c-7d3e-9f4a-2c6b8d0e1f3b.png",
"phoneIso": "BR",
"phoneDdi": "+55",
"phoneNumber": "1133334444"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'COOPERATIVE',
name: 'Cooperativa Metropolitana',
document: '45.723.174/0001-10',
documentType: 'CNPJ',
email: 'contato@estrela.com',
owner: {
phoneDdi: '55',
phoneNumber: '99999999999',
email: 'novo@example.com',
phoneIso: 'BR'
},
legalName: 'Cooperativa Metropolitana de Transporte Ltda.',
tradeName: 'Metropolitana',
logo: 'organizations/0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a/logo/0195e7b2-4a3c-7d3e-9f4a-2c6b8d0e1f3b.png',
phoneIso: 'BR',
phoneDdi: '+55',
phoneNumber: '1133334444'
})
};
fetch('https://api.example.com/api/v1/bko/organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"type": "COOPERATIVE",
"name": "Cooperativa Metropolitana",
"document": "45.723.174/0001-10",
"documentType": "CNPJ",
"phoneVerified": false,
"emailVerified": false,
"status": "ACTIVE",
"cooperative": {
"cooperativeId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"createdBy": null,
"updatedBy": null,
"deletedBy": null,
"deletedAt": null
},
"company": {
"companyId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"industrySegment": "retail",
"createdBy": null,
"updatedBy": null,
"deletedBy": null,
"deletedAt": null
},
"address": {
"organizationAddressId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"country": "BR",
"state": "SP",
"city": "São Paulo",
"zipCode": "01310-100",
"street": "Av. Paulista",
"neighborhood": "Bela Vista",
"number": "1000",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"complement": "Sala 42",
"createdBy": null,
"updatedBy": null,
"deletedBy": null,
"deletedAt": null
},
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"legalName": "Cooperativa Metropolitana de Transporte Ltda.",
"tradeName": "Metropolitana",
"logo": "organizations/0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a/logo/0195e7b2-4a3c-7d3e-9f4a-2c6b8d0e1f3b.png",
"phoneIso": "BR",
"phoneDdi": "+55",
"phoneNumber": "1133334444",
"email": "contato@estrela.com",
"createdBy": null,
"updatedBy": null,
"deletedBy": null,
"deletedAt": null
}{
"errors": [
{
"message": "required",
"path": "name"
}
],
"message": "Bad Request Error",
"statusCode": 400
}{
"message": "Missing or invalid access token",
"statusCode": 401
}{
"message": "Insufficient permissions",
"statusCode": 403
}{
"message": "Internal Server Error",
"statusCode": 500
}Create Organization
Creates an organization.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.
Body
Create organization payload
Organization type
COOPERATIVE, COMPANY "COOPERATIVE"
Display name
"Cooperativa Metropolitana"
CNPJ
"45.723.174/0001-10"
Document type
CPF, CNPJ, RG "CNPJ"
Contact email
"contato@estrela.com"
Admin owner to invite
Show child attributes
Show child attributes
Legal name
"Cooperativa Metropolitana de Transporte Ltda."
Trade name
"Metropolitana"
Logo object key
"organizations/0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a/logo/0195e7b2-4a3c-7d3e-9f4a-2c6b8d0e1f3b.png"
Phone country code
"BR"
International dialing code
"+55"
Phone number
"1133334444"
Response
Created
Organization
Organization identifier
"0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a"
Organization type
COOPERATIVE, COMPANY "COOPERATIVE"
Display name
"Cooperativa Metropolitana"
CNPJ
"45.723.174/0001-10"
Document type
CPF, CNPJ, RG "CNPJ"
Phone verified
false
Email verified
false
Organization status
ACTIVE, INACTIVE, BLOCKED "ACTIVE"
Cooperative extension
Show child attributes
Show child attributes
Company extension
Show child attributes
Show child attributes
Organization address
Show child attributes
Show child attributes
Created at
"2026-01-01T00:00:00.000Z"
Updated at
"2026-01-01T00:00:00.000Z"
Legal name
"Cooperativa Metropolitana de Transporte Ltda."
Trade name
"Metropolitana"
Logo object key
"organizations/0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a/logo/0195e7b2-4a3c-7d3e-9f4a-2c6b8d0e1f3b.png"
Phone country code
"BR"
International dialing code
"+55"
Phone number
"1133334444"
Contact email
"contato@estrela.com"
Created by
null
Updated by
null
Deleted by
null
Deleted at
null